Bienvenue, Visiteur
Vous devez vous enregistrer avant de pouvoir poster.

Utilisateur/Email :
  

Mot de passe
  





Rechercher dans les forums

(Recherche avancée)

Statistiques du Forum
» Membres : 312
» Dernier membre : Rene
» Sujets du forum : 240
» Messages du forum : 1,543

Statistiques complètes

Utilisateurs en ligne
Il y a actuellement 31 utilisateurs connectés.
» 1 Membre(s) | 29 Visiteur(s)
Google, bretelles

Derniers sujets
Plus de meteo aujourd'hui...
Forum : Help! / Aidez moi !
Dernier message : nicos6
Il y a 5 heures
» Réponses : 2
» Affichages : 32
Looking for board
Forum : Petites annonces / Classified ads
Dernier message : Commit-La-Grenouille
Hier, 12:24 PM
» Réponses : 1
» Affichages : 29
Ear position ‘unknown’ - ...
Forum : Help! / Aidez moi !
Dernier message : Commit-La-Grenouille
08-03-2020, 12:06 PM
» Réponses : 3
» Affichages : 59
C'est un Karotz, mon kit ...
Forum : Petites annonces / Classified ads
Dernier message : Jklein
07-13-2020, 01:57 PM
» Réponses : 4
» Affichages : 312
Pas de son avec mon lapin
Forum : Help! / Aidez moi !
Dernier message : Azariel
07-13-2020, 01:19 PM
» Réponses : 7
» Affichages : 1,587
Appli Smarphone
Forum : Free zone / Zone à définir
Dernier message : scip
07-11-2020, 10:05 AM
» Réponses : 6
» Affichages : 415
Politique de mise à jour ...
Forum : Help! / Aidez moi !
Dernier message : aumgeo
07-09-2020, 07:08 PM
» Réponses : 10
» Affichages : 1,741
Lapin fou
Forum : Help! / Aidez moi !
Dernier message : lenak88
07-08-2020, 12:06 PM
» Réponses : 44
» Affichages : 7,603
Nabaztag command line...
Forum : Free zone / Zone à définir
Dernier message : flaurens
07-07-2020, 07:29 PM
» Réponses : 6
» Affichages : 693
Changement de réseau WIFI...
Forum : Help! / Aidez moi !
Dernier message : mrcroupotin
07-06-2020, 07:40 PM
» Réponses : 8
» Affichages : 1,663

 
  Plus de meteo aujourd'hui - Problème certificat SSL
Posté par : nguillaumin - Hier, 04:34 PM - Forum : Help! / Aidez moi ! - Réponses (2)

Hello,

Ce matin plus d'indications météo sur le lapin! Le log donne:

Code :
Aug 04 17:25:48 nabaztag systemd[1]: Started Nabaztag weather daemon.
Aug 04 17:25:56 nabaztag python[17515]: Traceback (most recent call last):
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/urllib3/connectionpool.py", line 672, in urlopen
Aug 04 17:25:56 nabaztag python[17515]:     chunked=chunked,
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/urllib3/connectionpool.py", line 376, in _make_request
Aug 04 17:25:56 nabaztag python[17515]:     self._validate_conn(conn)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/urllib3/connectionpool.py", line 994, in _validate_conn
Aug 04 17:25:56 nabaztag python[17515]:     conn.connect()
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/urllib3/connection.py", line 394, in connect
Aug 04 17:25:56 nabaztag python[17515]:     ssl_context=context,
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
Aug 04 17:25:56 nabaztag python[17515]:     return context.wrap_socket(sock, server_hostname=server_hostname)
Aug 04 17:25:56 nabaztag python[17515]:   File "/usr/lib/python3.7/ssl.py", line 412, in wrap_socket
Aug 04 17:25:56 nabaztag python[17515]:     session=session
Aug 04 17:25:56 nabaztag python[17515]:   File "/usr/lib/python3.7/ssl.py", line 853, in _create
Aug 04 17:25:56 nabaztag python[17515]:     self.do_handshake()
Aug 04 17:25:56 nabaztag python[17515]:   File "/usr/lib/python3.7/ssl.py", line 1117, in do_handshake
Aug 04 17:25:56 nabaztag python[17515]:     self._sslobj.do_handshake()
Aug 04 17:25:56 nabaztag python[17515]: ssl.SSLCertVerificationError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)
Aug 04 17:25:56 nabaztag python[17515]: During handling of the above exception, another exception occurred:
Aug 04 17:25:56 nabaztag python[17515]: Traceback (most recent call last):
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/adapters.py", line 449, in send
Aug 04 17:25:56 nabaztag python[17515]:     timeout=timeout
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/urllib3/connectionpool.py", line 720, in urlopen
Aug 04 17:25:56 nabaztag python[17515]:     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/urllib3/util/retry.py", line 436, in increment
Aug 04 17:25:56 nabaztag python[17515]:     raise MaxRetryError(_pool, url, error or ResponseError(cause))
Aug 04 17:25:56 nabaztag python[17515]: urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='meteofrance.com', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)')))
Aug 04 17:25:56 nabaztag python[17515]: During handling of the above exception, another exception occurred:
Aug 04 17:25:56 nabaztag python[17515]: Traceback (most recent call last):
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/meteofrance/client.py", line 51, in _init_codes
Aug 04 17:25:56 nabaztag python[17515]:     results = requests.get(url, timeout=10).json()
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/api.py", line 75, in get
Aug 04 17:25:56 nabaztag python[17515]:     return request('get', url, params=params, **kwargs)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/api.py", line 60, in request
Aug 04 17:25:56 nabaztag python[17515]:     return session.request(method=method, url=url, **kwargs)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/sessions.py", line 533, in request
Aug 04 17:25:56 nabaztag python[17515]:     resp = self.send(prep, **send_kwargs)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/sessions.py", line 668, in send
Aug 04 17:25:56 nabaztag python[17515]:     history = [resp for resp in gen] if allow_redirects else []
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/sessions.py", line 668, in <listcomp>
Aug 04 17:25:56 nabaztag python[17515]:     history = [resp for resp in gen] if allow_redirects else []
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/sessions.py", line 247, in resolve_redirects
Aug 04 17:25:56 nabaztag python[17515]:     **adapter_kwargs
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/sessions.py", line 646, in send
Aug 04 17:25:56 nabaztag python[17515]:     r = adapter.send(request, **kwargs)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/requests/adapters.py", line 514, in send
Aug 04 17:25:56 nabaztag python[17515]:     raise SSLError(e, request=request)
Aug 04 17:25:56 nabaztag python[17515]: requests.exceptions.SSLError: HTTPSConnectionPool(host='meteofrance.com', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)')))
Aug 04 17:25:56 nabaztag python[17515]: During handling of the above exception, another exception occurred:
Aug 04 17:25:56 nabaztag python[17515]: Traceback (most recent call last):
Aug 04 17:25:56 nabaztag python[17515]:   File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
Aug 04 17:25:56 nabaztag python[17515]:     "__main__", mod_spec)
Aug 04 17:25:56 nabaztag python[17515]:   File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
Aug 04 17:25:56 nabaztag python[17515]:     exec(code, run_globals)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/nabweatherd/nabweatherd.py", line 585, in <module>
Aug 04 17:25:56 nabaztag python[17515]:     NabWeatherd.main(sys.argv[1:])
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/nabcommon/nabservice.py", line 206, in main
Aug 04 17:25:56 nabaztag python[17515]:     service.run()
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/nabcommon/nabservice.py", line 139, in run
Aug 04 17:25:56 nabaztag python[17515]:     raise ex
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/nabcommon/nabservice.py", line 327, in service_loop
Aug 04 17:25:56 nabaztag python[17515]:     config,
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/nabcommon/nabservice.py", line 466, in perform
Aug 04 17:25:56 nabaztag python[17515]:     info_data = await self._do_fetch_info_data(config)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/nabcommon/nabservice.py", line 506, in _do_fetch_info_data
Aug 04 17:25:56 nabaztag python[17515]:     info_data = await self.fetch_info_data(config)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/nabweatherd/nabweatherd.py", line 429, in fetch_info_data
Aug 04 17:25:56 nabaztag python[17515]:     client = await sync_to_async(meteofranceClient)(location, True)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/asgiref/sync.py", line 244, in __call__
Aug 04 17:25:56 nabaztag python[17515]:     return await asyncio.wait_for(future, timeout=None)
Aug 04 17:25:56 nabaztag python[17515]:   File "/usr/lib/python3.7/asyncio/tasks.py", line 388, in wait_for
Aug 04 17:25:56 nabaztag python[17515]:     return await fut
Aug 04 17:25:56 nabaztag python[17515]:   File "/usr/lib/python3.7/concurrent/futures/thread.py", line 57, in run
Aug 04 17:25:56 nabaztag python[17515]:     result = self.fn(*self.args, **self.kwargs)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/asgiref/sync.py", line 277, in thread_handler
Aug 04 17:25:56 nabaztag python[17515]:     return func(*args, **kwargs)
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/meteofrance/client.py", line 36, in __init__
Aug 04 17:25:56 nabaztag python[17515]:     self._init_codes()
Aug 04 17:25:56 nabaztag python[17515]:   File "/home/pi/pynab/venv/lib/python3.7/site-packages/meteofrance/client.py", line 66, in _init_codes
Aug 04 17:25:56 nabaztag python[17515]:     raise meteofranceError(err)
Aug 04 17:25:56 nabaztag python[17515]: meteofrance.client.meteofranceError: HTTPSConnectionPool(host='meteofrance.com', port=443): Max retries exceeded with url: / (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1056)')))
Aug 04 17:25:57 nabaztag systemd[1]: nabweatherd.service: Main process exited, code=exited, status=1/FAILURE
Aug 04 17:25:57 nabaztag systemd[1]: nabweatherd.service: Failed with result 'exit-code'.
Aug 04 17:25:58 nabaztag systemd[1]: nabweatherd.service: Service RestartSec=1s expired, scheduling restart.
Aug 04 17:25:58 nabaztag systemd[1]: nabweatherd.service: Scheduled restart job, restart counter is at 6942.
Aug 04 17:25:58 nabaztag systemd[1]: Stopped Nabaztag weather daemon.

Donc apparemment un problème de certificat SSL chez Météo France, pas grand chose à faire à part attendre...

Nico

Imprimer cet élément

  Looking for board
Posté par : Rene - 08-03-2020, 02:25 PM - Forum : Petites annonces / Classified ads - Réponses (1)

Hello hackers,
I have a Nabaztag without the belly button and i am looking for a board. Anyone?

Imprimer cet élément

Question Ear position ‘unknown’ - hardware problem?
Posté par : srcshelton - 07-29-2020, 12:39 PM - Forum : Help! / Aidez moi ! - Réponses (3)

Under System Information -> Hardware I see listed:

Code :
Left ear    ok (position unknown)
Right ear    ok (position=10)

... is this normal, or does this indicate a software or hardware issue?

Running the Ears Hardware test doesn't seem to change things at all.

Is there anything I can do to diagnose or fix?


Does not having the position data from one ear significantly affect the operation of my Nabaztag?  What am I losing?

If it's a hardware problem (as sounds likely) is there a replacement guide?  What part(s) are needed?

Thanks in advance!

Imprimer cet élément

  Pas de son avec mon lapin
Posté par : Azariel - 07-12-2020, 01:36 PM - Forum : Help! / Aidez moi ! - Réponses (7)

Bonjour,

Je lance un nouveau sujet car la mise à jour 0.8.1 n'a pas solutionné le fait que mon lapin soit muet (je pensais que c'était le problème de zram).

Je récapitule : 
- réception de la carte et montage sans problème de tous les composants. Installation de la release de l'époque (0.7.1) : pas de soucis ... démarrage du lapin et son présent pour les alertes de passage d'heure et les humeurs ... Ça c'était début février.
- J'ai continué à mettre le lapin à jour au fur et à mesure que les versions sortaient
- Il a commencé petit à petit à moins parler. Il loupait de temps en temps l'heure ... ou ne disait rien de la demi journée. Par contre, on voyait qu'il faisait des choses car il bougeait les oreilles et ses led changeaient de couleur.
- Il a de moins en moins parlé. Il lui arrivait de commencer à dire quelque chose (le début de l'heure par exemple) et de se couper en plein milieu.
- Depuis mi Avril, il est totalement muet. Il marque les heures en clignotant et bougeant les oreilles mais c'est tout.

J'ai mis à jour le Raspberry en pensant que c'était cela ... rien
J'ai modifié la configuration des actions pour qu'il ne fasse plus que donner l'heure ... rien
J'ai vérifié les branchement ... tout est bien branché et il ne parle toujours pas.
Quand j'appuie sur le bouton au dessus de sa tête ... rien
J'ai touché plusieurs fois au bouton du volume ... rien.

Là je suis à court d'idée ... toute aide serait la bienvenue. 
J'ai activé le ssh donc je peux faire des logs si vous me dites quoi entrer comme commande. 

Je vous remercie  Wink

Imprimer cet élément

  Appli Smarphone
Posté par : scip - 07-09-2020, 06:43 PM - Forum : Free zone / Zone à définir - Réponses (6)

Bonjour à tous
Parmi nos tous nos gens compétants quelqu'un aurait il pensé à développer une application pour smartphone pour piloter son lapin sans avoir à allumer don ordi ? 

ça existe peut être mais je n'ai pas trouvé.

Imprimer cet élément

  Unable to locate Nabaztag
Posté par : lauurq - 06-30-2020, 10:40 PM - Forum : Help! / Aidez moi ! - Réponses (1)

Hello and thank you for all your amazing work! Smile
I re-flashed my SD card with V8.1 and added the SSH without extension and WPA_supplicant.conf to the SD. (NabaztagTag)
I plugged it in, it went through the start-up, ears up and lights.  It seems alive.  So, I wanted to go in and update it.
I'm working in chrome on a Mac.
I tried connecting to HTTP://Nabaztag.local with no success.  
I tried connecting via IP address. 
My router finds the Nabaztag, but it shows inactive... but the rabbit has a heartbeat light. It shows the Rabbit on 2g.
   
Did I do something wrong? 
Any suggestions?

Thank you in advance for your kind help.  Wink
Laura R

Imprimer cet élément

  Les bruits avant l'heure (et après l'heure)
Posté par : Dandu - 06-29-2020, 01:55 PM - Forum : Free zone / Zone à définir - Réponses (2)

J'ai une petite question : 

Quand le lapin donne l'heure, il joue un bruit bizarre, le "signature.mp3" avant le message de l'heure.

On pourrait avoir une option pour le passer et avoir juste le message de l'heure ? En fait, le bruit est strident et énerve ma copine, parce qu'avant de mettre un TagTagTag j'avais un lapin sous OpenNabJab qui avait pas ce message.

Je pourrais évidemment l'effacer, mais je suppose que les MAJ remettront le fichier, non ?

Imprimer cet élément

Sad C'est un Karotz, mon kit est inutile
Posté par : Didier Martinez - 06-29-2020, 10:06 AM - Forum : Petites annonces / Classified ads - Réponses (4)

J'ai commandé et reçu un kit à 90 € le 13 mars, et je me suis rendu compte que mon lapin avait un nombril. Du coup, je n'ai même pas ouvert le colis, et il est à vendre à prix coûtant. J'ai jeté mon premier nabaztag et gardé le karotz qui avait bénéficié d'un sursaut de jeunesse avec une équipe qui avait mis en service un serveur dédié. Hélas le serveur s'est arrêté. J'ai quelques accessoires que je montre sur la photo jointe. Faites une offre.
Sinon, si un Nabaztag à kiter est disponible je suis preneur.



Pièces jointes Miniature(s)
   
Imprimer cet élément

  RFID sur Nabaztag v1
Posté par : Cricri67 - 06-27-2020, 10:16 AM - Forum : Free zone / Zone à définir - Réponses (7)

Hello,

Bonjour à tous !

[Mode Présentation On]
Premier message... donc j'en profite pour me présenter !
Cri-cri, fan depuis toujours du Nabaztag (j'avais acquis mon Nabaztag à une Apple Expo peu après sa sortie - il a également participé au fameux Nabaz'mob au Centre Pompidou) et du kit (heureux possesseur de goodies car un des tous premiers contributeurs de la campagne Ulule).
[Mode Présentation Off]

Ayant un Nabaztag v1, je ne peux donc pas profiter du lecteur RFID, car il n'équipait que le tag:tag

Vu que le kit tag:tag:tag est le même pour les deux générations, j'imagine que si j'arrive à me procurer la carte RFID d'un tag:tag et que je la connecte à la carte mère tag:tag:tag, ça fonctionnera.
J'ai bon ou pas ?

Merci !

Imprimer cet élément

Bug Environment de développement pour pynab
Posté par : nguillaumin - 06-26-2020, 01:30 PM - Forum : Free zone / Zone à définir - Réponses (3)

Bonjour,

Merci d'avoir ressuscité nos lapins! Heart

Je souhaiterai discuter d'idées pour un environnement de développement pybab "cross-platform", car développer directement sur le Raspberry Pi n'est pas idéal: Ça "bloque" le lapin qui ne peut pas être utilisé pendant ce temps, c'est assez lent, et tout doit se faire par SSH (Je me débrouille bien avec VI, mais quand même!). Il serait idéal de pouvoir développer sur un PC standard et juste faire les tests manuels sur le Raspberry Pi. Je crois que ça a été abordé dans plusieurs topics du forum.

J'ai regardé plusieurs solutions:

  1. Utiliser QEMU pour faire tourner l'image de pynab (Voir ici: https://azeria-labs.com/emulate-raspberry-pi-with-qemu/). J'ai réussi à booter, mais QEMU ne supporte que 256MB de mémoire en émulant le CPU du Raspberry Pi, et de toute façon tout la partie hardware n'est pas émulée (pas de GPIO, etc.).
  2. Utiliser Docker qui est maintenant capable de faire tourner des images ARM sur des machines hôtes x86: J'arrive à faire fonctionner des images ARM, mais seulement architecture armv7l, pas armv6l comme le Raspberry Pi. Du coup certaines dépendances manquent car une architecture armv6l est requise dans requirements.txt. Le hardware serait aussi manquant dans cette configuration.
  3. Faire tout tourner directement sur une machine hôte x86, soit nativement soit via Docker (Docker probablement préféré pour que tout le monde utilise la même fondation). J'ai pu faire tourner le code sur mon PC, mais il y a des choses codées en dur à changer, par exemple la configuration de la base de données, ou la configuration des URLs statiques pour nabweb / Gunicorn si on utilise pas nginx.
Dans tous les cas, le hardware n'est pas disponible, et probablement difficile à émuler en bas niveau (de faux drivers GPIO / Son / autre?). Du coup il serait peut-être plus simple d'avoir un démon nabd alternatif, qui répondrait au protocole JSON mais ne communiquerait pas avec le hardware. Il pourrait même faire office d'émulateur de lapin avec une interface pour voir l'état des LEDs, activer les oreilles, le bouton, etc. Comme la plupart des communications passent par l'interface JSON de nabd les autres modules pourraient fonctionner tels quels.

Qu'en pensez-vous? Avez vous d'autres idées à ce sujet? Comment faites-vous pour développer?

Nico

Imprimer cet élément